#include <set>
#include <map>
#include <list>
#include <cmath>
#include <queue>
#include <stack>
#include <cstdio>
#include <string>
#include <vector>
#include <cstdlib>
#include <cstring>
#include <sstream>
#include <iomanip>
#include <iostream>
#include <algorithm>

#include <ctime>
#include <deque>
#include <bitset>
#include <cctype>
#include <utility>
#include <cassert>

using namespace std;

typedef long long ll;
typedef long double ld;
typedef unsigned int ui;
typedef unsigned long long ull;

#define Rep(i,n) for(int i = 0; i < (n); ++i)
#define Repd(i,n) for(int i = (n)-1; i >= 0; --i)
#define For(i,a,b) for(int i = (a); i <= (b); ++i)
#define Ford(i,a,b) for(int i = (a); i >= (b); --i)
#define Fit(i,v) for(__typeof((v).begin()) i = (v).begin(); i != (v).end(); ++i)
#define Fitd(i,v) for(__typeof((v).rbegin()) i = (v).rbegin(); i != (v).rend(); ++i)
#define mp make_pair
#define pb push_back
#define fi first
#define se second
#define sz(a) ((int)(a).size())
#define all(a) (a).begin(), (a).end()
#define ms(a,x) memset(a, x, sizeof(a))

template<class F, class T> T convert(F a, int p = -1) {
  stringstream ss;
  if (p >= 0)
    ss << fixed << setprecision(p);
  ss << a;
  T r;
  ss >> r;
  return r;
}
template<class T> T gcd(T a, T b) {
  T r;
  while (b != 0) {
    r = a % b;
    a = b;
    b = r;
  }
  return a;
}
template<class T> T lcm(T a, T b) {
  return a / gcd(a, b) * b;
}
template<class T> T sqr(T x) {
  return x * x;
}
template<class T> T cube(T x) {
  return x * x * x;
}
template<class T> int getbit(T s, int i) {
  return (s >> i) & 1;
}
template<class T> T onbit(T s, int i) {
  return s | (T(1) << i);
}
template<class T> T offbit(T s, int i) {
  return s & (~(T(1) << i));
}
template<class T> int cntbit(T s) {
  return s == 0 ? 0 : cntbit(s >> 1) + (s & 1);
}

typedef pair<int, int> II;

const double PI = acos(-1.0);
const double eps = 1e-3;

const int dr[] = { -1, 0, +1, 0 };
const int dc[] = { 0, +1, 0, -1 };

const int inf = (int) 1e9 + 5;
const ll linf = (ll) 1e16 + 5;
const ll mod = (ll) 1e9 + 7;

#define maxn 10005

int n, k, f[maxn], a[maxn];

int main() {
//	freopen("in.txt", "r", stdin);

	cin >> n >> k;
	For(i, 0, n) f[i] = -inf;
	For(i, 1, n) {
		cin >> a[i];
	}
	f[0] = 0;
	int res = 0;
	For(i, 1, n){
		for(int j = i - 1; j >= 0 && j >= i - k; j--){
			f[i] = max(f[i], f[j] + a[i]);
		}
		res = max(res, f[i]);
	}

	cout << res;

	return 0;
}

